Bug 250640 - Wammu ocassionaly dies because of NULL pointer dereference
Wammu ocassionaly dies because of NULL pointer dereference
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-gammu (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 13:03 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: python-gammu-0.21-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 06:53:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-08-02 13:03:14 EDT
Description of problem:

Mostly during startup, there are cases NULL pointer derefernce is triggered
in a gammu python library that causes wammu to die.

I suspect that it might be due to the fact that phone connected via infrared
might not be properly seated. It happens that gammmu --identify ocassionaly
reports 'Function not implemented' and I suspect that this is the very same
case.

I'd say that returning the error such as the one gammu reports is acceptable
when an communication error occurs -- the segmentation fault isn't.

Version-Release number of selected component (if applicable):

gammu-1.11.0-1.fc6
wammu-0.19-3.fc6
python-gammu-0.20-1.fc6

How reproducible:

Non-deterministic.

Additional info:

I have a core file of the crashed wammu, so feel free to ask in case you or
upstream need more information. I might eventually attach it here as a
(private) attachment.

Here come information from the gdb session I considered to be useful:

$ gdb python wammu-4132.core 
...
Core was generated by `/usr/bin/python /usr/bin/wammu'.
Program terminated with signal 11, Segmentation fault.
#0  0x00b5c541 in StateMachine_Terminate (self=0xb43b7008, args=0xb7f5e02c,
kwds=0x0) at gammu.c:734
734         self->s.Phone.Functions->SetIncomingSMS(&(self->s), false);
(gdb) print self->s.Phone.Functions
$2 = (GSM_Phone_Functions *) 0x0
(gdb) bt
#0  0x00b5c541 in StateMachine_Terminate (self=0xb43b7008, args=0xb7f5e02c,
kwds=0x0) at gammu.c:734
#1  0x03b1c8bd in PyCFunction_Call (func=0xb77b34ec, arg=0xb7f5e02c, kw=0x0) at
Objects/methodobject.c:77
#2  0x03b571ac in PyEval_EvalFrame (f=0x88efcec) at Python/ceval.c:3568
#3  0x03b581b5 in PyEval_EvalCodeEx (co=0xb7c9fae0, globals=0xb7ce68ac,
locals=0x0, args=0xb77d7478, argcount=2, kws=0x0, 
    kwcount=0, defs=0xb77d70f8, defcount=1, closure=0x0) at Python/ceval.c:2741
#4  0x03b09faa in function_call (func=0xb77d6f44, arg=0xb77d746c, kw=0x0) at
Objects/funcobject.c:548
#5  0x03af1ec7 in PyObject_Call (func=0xb43b7008, arg=0xb77d746c, kw=0x0) at
Objects/abstract.c:1795
#6  0x03af8538 in instancemethod_call (func=0xb77dc324, arg=0xb77d746c, kw=0x0)
at Objects/classobject.c:2532
#7  0x03af1ec7 in PyObject_Call (func=0xb43b7008, arg=0xb77d732c, kw=0x0) at
Objects/abstract.c:1795
#8  0x03b519dc in PyEval_CallObjectWithKeywords (func=0xb77dc324,
arg=0xb77d732c, kw=0x0) at Python/ceval.c:3435
#9  0x00131f68 in wxPyCallback::EventThunker () from
/usr/lib/python2.4/site-packages/wx-2.6-gtk2-unicode/wx/_core_.so
#10 0x032cc855 in wxAppConsole::HandleEvent () from /usr/lib/libwx_baseu-2.6.so.0
#11 0x0335b912 in wxEvtHandler::ProcessEventIfMatches () from
/usr/lib/libwx_baseu-2.6.so.0
#12 0x0335bae2 in wxEvtHandler::SearchDynamicEventTable () from
/usr/lib/libwx_baseu-2.6.so.0
#13 0x0335bbb6 in wxEvtHandler::ProcessEvent () from /usr/lib/libwx_baseu-2.6.so.0
#14 0x003cc221 in wxMenuBar::wxMenuBar$base () from
/usr/lib/libwx_gtk2u_core-2.6.so.0
...
#59 0x08048582 in main (argc=2, argv=0xb6bfe0) at Modules/python.c:23
(gdb)
Comment 1 Xavier Lamien 2007-08-02 15:37:20 EDT
Well,
Could you just make a try with those released packages:
http://koji.fedoraproject.org/koji/buildinfo?buildID=12603
Comment 4 Xavier Lamien 2007-08-03 08:10:10 EDT
Hello,
Now released gammu has been pushed to stable, i can build new release of
python-gammu againts it.
Comment 5 Xavier Lamien 2007-08-03 08:49:00 EDT
here is for FC-6 branch:
http://buildsys.fedoraproject.org/logs/fedora-6-extras/35423-python-gammu-0.21-1.fc6/

the new release of wammu will follow
Comment 6 Lubomir Kundrak 2007-08-15 06:53:12 EDT
Xavier: Thanks -- I have not experienced the problem after using the new release
for some time. Closing this bug, I will reopen it if the problem appears again.

Note You need to log in before you can comment on or make changes to this bug.